function [m] = bt1xx(musArr44100)
    
    fs = 44100;
    
    L = length(musArr44100);
    
    dd = 1000;
    
    z = zeros(dd+1,1);
    
    y = abs([z ; musArr44100]);
    [m,d] = lowpass(y, 4, fs, "ImpulseResponse", "iir", "Steepness",0.5);
    [m,d] = bandpass(y, [1 5], fs, "ImpulseResponse", "iir", "Steepness",0.5);
    
end

ydec = decimate(y, 64);

[m,d] = lowpass(ydec, 4, fs/64, "ImpulseResponse", "iir", "Steepness",0.5);
[m,d] = bandpass(y, [1 5], fs/64, "ImpulseResponse", "iir", "Steepness",[0.5 0.5]);




ydec = decimate(y, 64);



fs = 44100;



[musArr44100, ~] = audioread(['work/etyp1/mus.wav']);
yOrg = (musArr44100(6*44100:11*44100, 1) + musArr44100(6*44100:11*44100, 2))/2;
sound(yOrg, fs);

[musArr44100, ~] = audioread(['work/etyp1/mus.wav']);
yOrg = (musArr44100(6*44100:11*44100, 1) + musArr44100(6*44100:11*44100, 2))/2;
sound(yOrg, fs);

[musArr44100, ~] = audioread(['work/sambaOrg1/mus.wav']);
yOrg = (musArr44100(8*44100:14*44100, 1) + musArr44100(8*44100:14*44100, 2))/2;
sound(yOrg, fs);

[musArr44100, ~] = audioread(['work/pump1/mus.wav']);
yOrg = (musArr44100(8*44100:14*44100, 1) + musArr44100(8*44100:14*44100, 2))/2;
sound(yOrg, fs);

% Dec og bp filter
fig1;plott(1:length(yOrg), yOrg/max(yOrg));axis tight;
D = 200;
ydec = decimate(abs(yOrg), D);
fig2;plott(1:length(ydec), ydec/max(ydec));axis tight;
[m,d] = bandpass(ydec, [2 6], fs/D, "ImpulseResponse", "iir", "Steepness",[0.7 0.7], 'StopbandAttenuation',30);
fig3;plott(1:length(m), m/max(m));axis tight;

% glidende filt uten dec
L = length(yOrg);
dd = 1000;
z = zeros(dd+1,1);
y = abs([z ; yOrg]);
m = zeros(size(y));
for s = dd+1 : size(y,1)
    diffSum = 0;
    for d = 1 : dd
        %v = sin((pi/2)*d/dd);
        v = 1;
        diffSum = diffSum + (y(s-d));
    end
    m(s) = diffSum;
end
fig3;plott(1:length(m), m/max(m));axis tight;

% manual dec
L = length(yOrg);
dd = 64*12; % 60hz
z = zeros(dd+1,1);
y = abs([z ; yOrg]);
m = [];
for s = dd+1 : dd : size(y,1)
    diffSum = 0;
    for d = 1 : dd
        diffSum = diffSum + (y(s-d));
    end
    m = [m ; diffSum];
end
fig4;plott(1:length(m), m/max(m));axis tight;

%%%%%%%%%%%%
%{

|                     |                     |
[  uttafor    ][ inni ]...]
                      [  uttafor    ][ inni ]...]

pre: gain
para: T, ph, thr
fit:
    antTomme        telle restart uten treff                   --- senke thr
    antUttafor      telle i "uttafor" men tillate noen         --- øke tersk
    antGodTreff     vektet treff                               --- just ph T
    gjevnT          varians på T som lagres
 

%}

fig2;plott(1:length(m), m);axis tight;
fig3;plott(1:length(cli), cli);axis tight;

% stream
fs = 44100;
[mus, ~] = audioread(['work/etyp1/mus.wav']);
yOrg = (mus(6*44100:11*fs, 1) + mus(6*44100:11*fs, 2))/2;
%sound(yOrg, fs);
L = length(yOrg);

fsD = fs/(64*12); % ca 57 Hz

minTms = 200;
minTs = fsD * minTms / 1000;
th = 100;
chNr = 0;
sumY = 0;
m = [];
cli = [];
sTeller = 0;
funnetTsArr = [];
funnetTsArrAvr = 0;
for chNr_ = 1 : floor(L/64) - 1
    yCh = yOrg(chNr_*64 : chNr_*64 + 63);
    
    % Inn til Mxj
    chNr = chNr + 1;
    for i = 1 : 64
        sumY = sumY + abs(yCh(i));
    end
    
    if chNr > 11 %%%%% Her er det decimert
        
        m = [m ; sumY];
        
        if sumY > 100 && sTeller > minTs % Treff innafor grenser
            cli = [cli ; 1];
            funnetTsArr = [funnetTsArr ; sTeller];
            if length(funnetTsArr) > 2 % er i gang
                
                funnetTsArrAvr = mean(funnetTsArr(2:end))
            end
            sTeller = 0;  % resetter
        else % Ikke treff ennå
            cli = [cli ; 0];
        end
        
        %%%%%
        
        sTeller = sTeller + 1;
        
        sumY = 0; % dec detaljer
        chNr = 0;% dec detaljer
    end
    
end
fig3;plott(1:length(cli), cli);axis tight;


floor(1000*funnetTsArr(2:end)/fsD)





















