function [] = findBeatWavFFT(wav44100)
    
    
    fs = 44100;
    L = length(wav44100);
    
    m = (wav44100(:,1) + wav44100(:,2))/2;
    
    P2 = abs(fft(m.*hamming(L))/L);
    P1 = P2(1:L/2+1);
    P1(2:end-1) = 2*P1(2:end-1);
    f = fs*(0:(L/2))/L;
    
    fSec = f(f<20);
    
    fig3;plott(f(1:length(fSec)), P1(1:length(fSec)));
    xlabel('Hz');
    
    maxY = max(P1(1:length(fSec)));
    
[pe, lo] = findpeaks(P1(1:length(fSec)), 1/f(2), 'MinPeakDistance', 2,'MinPeakProminence',maxY/3);

    

    line([lo(1) lo(1)], [0 maxY]);
    line([lo(1) lo(1)]*2, [0 maxY]);
%     line([lo(1) lo(1)]*3, [0 maxY]);
%     line([lo(1) lo(1)]*4, [0 maxY]);
%     line([lo(1) lo(1)]*5, [0 maxY]);
%     line([lo(1) lo(1)]*6, [0 maxY]);
end