
clear;

P.workDir = 'work/anaMotor/'; % P.workDir = 'work/ana/';
P.noBeatsPerBar = 4;
P.fsW = 44100;
P.fsC = 525;
P.fsF = 30;
P.startClickNr = 1;
P.endClickNr = 15;

[A.musArr44100, ~] = audioread([P.workDir 'mus.wav']); % Stereo 44100Hz
A.musArr44100 = A.musArr44100 * 1.2;
A.musArr525 = 1.7*decimate((A.musArr44100(:, 1) + A.musArr44100(:, 1))/2, 84); % Mono 525Hz, samme som motor
% global clickDBtimeMs;
% makeClickArrKeyboard(A.musArr44100)
% A.corArrDB = makeEmptyCorArrDB(clickDBtimeMs);
%  A.clickDBtimeMs = adjustTimeMesh(A.clickDBtimeMs, 1, 79, 0.1, 0.2);
%  A.corArrDB(:,1) = num2cell(A.clickDBtimeMs);
% saveCorToFile(A.corArrDB, [P.workDir 'cor.xls']);
A.corArrDB = readcell([P.workDir 'cor.xls']); % DownBeat: {DBtime(ms), moveName, event, song sectionType}
A.corArrDB(cellfun(@(x) any(ismissing(x)), A.corArrDB)) = {''}; % fix
A.clickDBtimeMs = cell2mat(A.corArrDB(:,1)); % ms, tider for DownBeat

A.corValArrB = makeCorValArrB(A.corArrDB, P.workDir, P.noBeatsPerBar); % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
A.clickBtimeMs = A.corValArrB(:,1); % ms, tider for Beat

A.clickTrack44100 = makeClickTrack44100(A.clickDBtimeMs, A.musArr44100); % DB Klikk med lyd
A.wavClick44100 = A.clickTrack44100 + A.musArr44100;
%sound(A.wavClick44100(1:500000), P.fsW);

A.cntArr525 = makeCntArr525(A.corValArrB);

P.startClickNr = 1;
P.endClickNr = 15;
plotCurves(A, P, 'start');

gui;




runPreviewWheelAna(A, P, 1);



[maxV, maxA] = saveCntArr525toFile(P, A, 3);


[cntArr525, corValArrB] = runDemoPumpWheel(corArrDB, corValArrB, clickDBtimeMs, cntArr525, 1, 81, workDir);



removeAllUnUsedMovesInDir(corArrDB, 'work/pump1')







