
clear;

P.workDir = 'work/etyp2/'; % P.workDir = 'work/ana/';
P.noBeatsPerBar = 8;
P.fsW = 44100;
P.fsC = 525;
P.fsF = 30;
P.startClickNr = 1;
P.endClickNr = 15;

[A.musArr44100, ~] = audioread([P.workDir 'mus.wav']); % Stereo 44100Hz
A.musArr44100 = A.musArr44100 * 1.2;
A.musArr525 = 1.7*decimate((A.musArr44100(:, 1) + A.musArr44100(:, 1))/2, 84); % Mono 525Hz, samme som motor
% global clickDBtimeMs;
% makeClickArrKeyboard(A.musArr44100)
% A.corArrDB = makeEmptyCorArrDB(clickDBtimeMs);
%  A.clickDBtimeMs = adjustTimeMesh(A.clickDBtimeMs, 1, 79, 0.1, 0.2);
%  A.corArrDB(:,1) = num2cell(A.clickDBtimeMs);
% saveCorToFile(A.corArrDB, [P.workDir 'cor.xls']);
A.corArrDB = readcell([P.workDir 'cor.xls']); % DownBeat: {DBtime(ms), moveName, event, song sectionType}
A.corArrDB(cellfun(@(x) any(ismissing(x)), A.corArrDB)) = {''}; % fix
A.clickDBtimeMs = cell2mat(A.corArrDB(:,1)); % ms, tider for DownBeat

A.corValArrB = makeCorValArrB(A.corArrDB, P.workDir, P.noBeatsPerBar); % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
A.clickBtimeMs = A.corValArrB(:,1); % ms, tider for Beat

A.clickTrack44100 = makeClickTrack44100(A.clickDBtimeMs, A.musArr44100); % DB Klikk med lyd
A.wavClick44100 = A.clickTrack44100 + A.musArr44100;
%sound(A.wavClick44100(1:500000), P.fsW);

A.cntArr525 = makeCntArr525(A.corValArrB);

P.startClickNr = 1;
P.endClickNr = 15;
plotCurves(A, P, 'start');

gui;

[cntArr525, corValArrB] = runDemoPumpEtyp2(A, P, 1, 30);


mov = iniMov(4);
plotMov(mov, 'cyc');


mov = iniMov(4);
movPop = repmat(mov,1,1,16);


gu.startClickNr = 157;
gu.endClickNr = 167;
plotCurves(A, P, 'start');
tmpMoveName = '8-6';
movPop = iniMovPop(8, 16);
cntArr525pop = makeCntArr525pop(movPop, corArrDB, workDir, tmpMoveName);
runPreviewPOP(musArr44100, movPop, corArrDB, clickDBtimeMs, gu.startClickNr, gu.endClickNr, workDir, tmpMoveName);
 

fName = '8-8'; mov = loadMovFromFile(P.workDir, fName); mov = movBeatDoubler(mov); saveMovToFile(mov, [P.workDir fName '.txt'], P.workDir);


[A.cntArr525, A.corValArrB] = runDemoPumpEtyp1(A, P, 1, 60);



removeAllUnUsedMovesInDir(corArrDB, 'work/pump1')



movFileRange = [4 3 6]; % 4_1.txt til 4_4.txt
corArrDB = swapMov(corFile, '4_3', 'tmp'); % Legger inn i move "tmp" i corArrDB, modifiserer ingen bibliotek movFiles, bare tmp.txt
runPreviewPOPfromFile(musArr44100, movFileRange, corArrDB, clickDBtimeMs, 133, 150);


runDemo2(corArrDB, clickDBtimeMs, cntArr525, 1, 10);



mov = loadMovFromFile(workDir, '4-7')
mov = flipMov(mov)

saveMovToFile(mov,[workDir '8-2.txt'],workDir)

 
saveMovToFile(movGen(:,:,7), 'movIntro.txt');

saveCorToFile(corArrDB, 'work/pump1/cor.xls');

C = readcell(filename)

saveMovToFile(mov, 'test.txt');

mov = loadMovFromFile('4-test.txt');


% EVO
% 

saveMovToFile(mov, 'movLib/movIntro.txt');
corArrDB = readcell(corFile); % DownBeat: {DBtime(ms), moveName, event, song sectionType}
corArrDB(cellfun(@(x) any(ismissing(x)), corArrDB)) = {''}; % fix
clickDBtimeMs = cell2mat(corArrDB(:,1)); % ms, tider for DownBeat
corValArrB = makeCorValArrB(corArrDB, workDir); % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
clickBtimeMs = corValArrB(:, 1, 1); % ms, tider for Beat
cntArr525 = makeCntArr525(corValArrB);

plotCurves(musArr525, corArrDB, cntArr525, clickDBtimeMs, clickBtimeMs, corValArrB, gu.startClickNr,  gu.endClickNr, -1, -1);



